Ext.override(Ext.Component, {
	stateful: false,

	_initStateEvents: Ext.Component.prototype.initStateEvents,
	
	_saveState: Ext.Component.prototype.saveState,
	
	initStateEvents: function() {
		if (this.stateful) {
			this._initStateEvents.apply(this, arguments);
		}
	},
	
	saveState: function() {
		if (this.stateful) {
			this._saveState.apply(this, arguments);
		}
	}
});

